DOM::DOMImplementation class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::DOMImplementation Class Reference

The `DOMImplementation` interface provides a number of methods for performing operations that are independent of any particular instance of the document object model. More...

`#include <dom_doc.h>`

List of all members.

## Public Member Functions
| DOMImplementation (const DOMImplementation &other)
DOMImplementation & | operator= (const DOMImplementation &other)
bool | hasFeature (const DOMString &feature, const DOMString &version)
| Test if the DOM implementation implements a specific feature.
DocumentType | createDocumentType (const DOMString &qualifiedName, const DOMString &publicId, const DOMString &systemId)
| Introduced in DOM Level 2.
Document | createDocument (const DOMString &namespaceURI, const DOMString &qualifiedName, const DocumentType &doctype)
| Introduced in DOM Level 2.
DOMImplementation | getInterface (const DOMString &feature) const
| Introduced in DOM Level 3 This method makes available a DOMImplementation's specialized interface.
CSSStyleSheet | createCSSStyleSheet (const DOMString &title, const DOMString &media)
| Introduced in DOM Level 2 This method is from the DOMImplementationCSS interface.
HTMLDocument | createHTMLDocument (const DOMString &title)
| Introduced in DOM Level 2 This method is from the HTMLDOMImplementation interface.
DOMImplementationImpl * | handle () const
bool | isNull () const
## Protected Member Functions
| DOMImplementation (DOMImplementationImpl *i)
## Protected Attributes
DOMImplementationImpl * | impl
## Friends
class | Document

## Detailed Description

The `DOMImplementation` interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.

DOM Level 2 and newer provide means for creating documents directly, which was not possible with DOM Level 1.

Definition at line 76 of file dom_doc.h.

## Member Function Documentation

bool DOMImplementation::hasFeature | ( | const DOMString & | feature,
|  | const DOMString & | version
| ) |

  | Test if the DOM implementation implements a specific feature. Parameters:
  feature | The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
  version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true` .
Returns: `true` if the feature is implemented in the specified version, `false` otherwise. Definition at line 72 of file dom_doc.cpp.

DocumentType DOMImplementation::createDocumentType | ( | const DOMString & | qualifiedName,
|  | const DOMString & | publicId,
|  | const DOMString & | systemId
| ) |

  | Introduced in DOM Level 2. Creates an empty DocumentType node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a DocumentType. HTML-only DOM implementations do not need to implement this method. Parameters:
  qualifiedName | The qualified name of the document type to be created.
  publicId | The external subset public identifier.
  systemId | The external subset system identifier.
  Returns: A new DocumentType node with Node.ownerDocument set to null. Exceptions:
  DOMException | INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
NAMESPACE_ERR: Raised if the qualifiedName is malformed. Definition at line 80 of file dom_doc.cpp.

Document DOMImplementation::createDocument | ( | const DOMString & | namespaceURI,
|  | const DOMString & | qualifiedName,
|  | const DocumentType & | doctype
| ) |

  | Introduced in DOM Level 2. Creates an XML Document object of the specified type with its document element. HTML-only DOM implementations do not need to implement this method. Parameters:
  namespaceURI | The namespace URI of the document element to create.
  qualifiedName | The qualified name of the document element to be created.
  doctype | The type of document to be created or null. When doctype is not null, its Node.ownerDocument attribute is set to the document being created.
  Returns: A new Document object. Exceptions:
  DOMException | INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
NAMESPACE_ERR: Raised if the qualifiedName is malformed, if the qualifiedName has a prefix and the namespaceURI is null, or if the qualifiedName has a prefix that is "xml" and the namespaceURI is different from "http://www.w3.org/XML/1998/namespace" [Namespaces]. WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document or was created from a different implementation. Definition at line 94 of file dom_doc.cpp.

DOMImplementation DOMImplementation::getInterface | ( | const DOMString & | feature | ) | const

  | Introduced in DOM Level 3 This method makes available a DOMImplementation's specialized interface. Parameters:
  feature | The name of the feature requested (case-insensitive)
Returns: Returns an alternate DOMImplementation which implements the specialized APIs of the specified feature, if any, or null if there is no alternate DOMImplementation object which implements interfaces associated with that feature. Any alternate DOMImplementation returned by this method must delegate to the primary core DOMImplementation and not return results inconsistent with the primary DOMImplementation. Definition at line 122 of file dom_doc.cpp.

CSSStyleSheet DOMImplementation::createCSSStyleSheet | ( | const DOMString & | title,
|  | const DOMString & | media
| ) |

  | Introduced in DOM Level 2 This method is from the DOMImplementationCSS interface. Creates a new CSSStyleSheet. Parameters:
  title | The advisory title. See also the Style Sheet Interfaces section.
  media The comma-separated list of media associated with the new style sheet. See also the Style Sheet Interfaces section. Returns: A new CSS style sheet. Exceptions:
  SYNTAX_ERR: | Raised if the specified media string value has a syntax error and is unparsable.
Definition at line 130 of file dom_doc.cpp. References DOM::DOMString::implementation().

HTMLDocument DOMImplementation::createHTMLDocument | ( | const DOMString & | title | ) |

  | Introduced in DOM Level 2 This method is from the HTMLDOMImplementation interface. Creates an HTMLDocument with the minimal tree made of these elements: HTML,HEAD,TITLE and BODY. It extends the core interface which can be used to create an XHTML document by passing the XHTML namespace as the namespace for the root element. Parameters:
  title | The title of the document to be set as the content of the TITLE element, through a child Text node.
Returns: the HTMLdocument Definition at line 108 of file dom_doc.cpp. References QString::fromLatin1(), and DOM::DOMString::string().

The documentation for this class was generated from the following files:

- dom_doc.h
- dom_doc.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001